#include <bits/stdc++.h>
using namespace std;

int n,N[200005];
int q,a,b,cnt;
bool bul;

int main(){

    cin >> n;
    for(int i=1;i<=n;i++){
        cin >> N[i];
    }

    cin >> q;
    for(int i=1;i<=q;i++){
        cnt=0;
        bul=false;
        cin >> a >> b;
        for(int j=a+1;j<=b;j++){
            if(N[j]<N[j-1]){
                cnt++;
                if(cnt>1){
                    bul=true;
                    break;
                }
            }
        }
        if(bul==true) cout << "NE\n";
        else cout << "DA\n";
    }


return 0;
}